#!/bin/py
class Sentence: # an iterable
    def __init__(self, text): 
        self.text = text
        self.words = text.split()
        
    def __iter__(self): # one could also return iter(self.words)
        for w in self.words: # note this is implicitly making an iter from the list
            yield w
    
    def __repr__(self):
        return 'Sentence(%s)' % reprlib.repr(self.text)

if __name__ == "__main__":
    sent = Sentence("Dogs will save the world!")
    for w in sent:
        print(w)
    

